<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.party.comment.mapper.CommentMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="meetingCommentResultMap" type="org.springblade.party.comment.entity.Comment">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="relation_id" property="relationId"/>
        <result column="relation_type" property="relation_type"/>
        <result column="pid" property="pid"/>
        <result column="content" property="content"/>
        <result column="is_show" property="isShow"/>
        <result column="member_id" property="memberId"/>
        <result column="root_id" property="rootId"/>
    </resultMap>


    <select id="selectMeetingCommentPage" resultMap="meetingCommentResultMap">
        select * from party_meeting_comment where is_deleted = 0
    </select>

</mapper>
